co.aikar.commands

## Class ACFVelocityUtil

- java.lang.Object
- - co.aikar.commands.ACFVelocityUtil

    public class ACFVelocityUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ACFVelocityUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static net.kyori.text.TextComponent` `color(String message)`
`static com.velocitypowered.api.proxy.Player` `findPlayerSmart(com.velocitypowered.api.proxy.ProxyServer server, co.aikar.commands.CommandIssuer issuer, String search)`
`static boolean` `isValidName(String name)`
`static <T> T` `validate(T object, String message, Object... values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ACFVelocityUtil

    public ACFVelocityUtil()

### Method Detail

#### color

    public static net.kyori.text.TextComponent color(String message)

#### findPlayerSmart

    public static com.velocitypowered.api.proxy.Player findPlayerSmart(com.velocitypowered.api.proxy.ProxyServer server,
                                                                       co.aikar.commands.CommandIssuer issuer,
                                                                       String search)

#### isValidName

    public static boolean isValidName(String name)

#### validate

    public static <T> T validate(T object,
                                 String message,
                                 Object... values)